Skip to main content
`Ctrl`+`K`

# numpy.array_equiv

numpy.array_equiv(a1, a2)

  Returns True if input arrays are shape consistent and all elements equal.

  Shape consistent means they are either the same shape, or one input array can be broadcasted to create the same shape as the other one.

  Parameters:
    a1, a2 array_like

      Input arrays.

  Returns:
    out bool

      True if equivalent, False otherwise.

  Examples

      >>> import numpy as np
      >>> np.array_equiv([1, 2], [1, 2])
      True
      >>> np.array_equiv([1, 2], [1, 3])
      False

  Showing the shape equivalence:

      >>> np.array_equiv([1, 2], [[1, 2], [1, 2]])
      True
      >>> np.array_equiv([1, 2], [[1, 2, 1, 2], [1, 2, 1, 2]])
      False

      >>> np.array_equiv([1, 2], [[1, 2], [1, 3]])
      False